package cn.ibizlab.r7.runtime.core.client.model;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.math.BigDecimal;
import java.math.BigInteger;

/**
 * Client 实体 [UserGroupDetail] 对象
 */
public interface IUserGroupDetail {

    /**
     * 获取 [更新人]
     */
    public void setUpdateMan(String updateMan);
    
    /**
     * 设置 [更新人]
     */
    public String getUpdateMan();

    /**
     * 获取 [更新人]脏标记
     */
    public boolean getUpdateManDirtyFlag();
    /**
     * 获取 [更新时间]
     */
    public void setUpdateDate(Timestamp updateDate);
    
    /**
     * 设置 [更新时间]
     */
    public Timestamp getUpdateDate();

    /**
     * 获取 [更新时间]脏标记
     */
    public boolean getUpdateDateDirtyFlag();
    /**
     * 获取 [是否启用]
     */
    public void setEnable(Integer enable);
    
    /**
     * 设置 [是否启用]
     */
    public Integer getEnable();

    /**
     * 获取 [是否启用]脏标记
     */
    public boolean getEnableDirtyFlag();
    /**
     * 获取 [用户对象组明细名称]
     */
    public void setUserGroupDetailName(String userGroupDetailName);
    
    /**
     * 设置 [用户对象组明细名称]
     */
    public String getUserGroupDetailName();

    /**
     * 获取 [用户对象组明细名称]脏标记
     */
    public boolean getUserGroupDetailNameDirtyFlag();
    /**
     * 获取 [用户对象组明细标识]
     */
    public void setUserGroupDetailId(String userGroupDetailId);
    
    /**
     * 设置 [用户对象组明细标识]
     */
    public String getUserGroupDetailId();

    /**
     * 获取 [用户对象组明细标识]脏标记
     */
    public boolean getUserGroupDetailIdDirtyFlag();
    /**
     * 获取 [建立时间]
     */
    public void setCreateDate(Timestamp createDate);
    
    /**
     * 设置 [建立时间]
     */
    public Timestamp getCreateDate();

    /**
     * 获取 [建立时间]脏标记
     */
    public boolean getCreateDateDirtyFlag();
    /**
     * 获取 [建立人]
     */
    public void setCreateMan(String createMan);
    
    /**
     * 设置 [建立人]
     */
    public String getCreateMan();

    /**
     * 获取 [建立人]脏标记
     */
    public boolean getCreateManDirtyFlag();
    /**
     * 获取 [用户对象]
     */
    public void setUserObjectName(String userObjectName);
    
    /**
     * 设置 [用户对象]
     */
    public String getUserObjectName();

    /**
     * 获取 [用户对象]脏标记
     */
    public boolean getUserObjectNameDirtyFlag();
    /**
     * 获取 [用户组名称]
     */
    public void setUserGroupName(String userGroupName);
    
    /**
     * 设置 [用户组名称]
     */
    public String getUserGroupName();

    /**
     * 获取 [用户组名称]脏标记
     */
    public boolean getUserGroupNameDirtyFlag();
    /**
     * 获取 [用户对象组标识]
     */
    public void setUserGroupId(String userGroupId);
    
    /**
     * 设置 [用户对象组标识]
     */
    public String getUserGroupId();

    /**
     * 获取 [用户对象组标识]脏标记
     */
    public boolean getUserGroupIdDirtyFlag();
    /**
     * 获取 [用户对象]
     */
    public void setUserObjectId(String userObjectId);
    
    /**
     * 设置 [用户对象]
     */
    public String getUserObjectId();

    /**
     * 获取 [用户对象]脏标记
     */
    public boolean getUserObjectIdDirtyFlag();
}
